Ticket #1005 (reopened enhancement)

Opened 5 years ago

Last modified 5 years ago

Support BCD numbers

Reported by: rambo Assigned to: piotras
Priority: major Milestone: 8.09.10 Ragnaroek
Component: Midgard Core Version: 8.09 Ragnaroek
Keywords: Cc:

Description

(Slightly related to #92)

Floating point numbers by definition are inaccurate so for where true accuracy (financial data for example, in simplest form product prices...) is needed it would be good to have type="decimal" which would use the databases corresponding decimal type.

For languages that do not have proper decimal types (like PHP) these could be exposed as strings and the app developer is responsible for handling the rest.

Change History

(follow-up: ↓ 3 ) 04/09/09 21:34:10 changed by piotras

What language supports decimal? I think we should have fundamental float and double types. These could be represented differently with providers but the same in scope of objects and classes.

04/10/09 18:07:23 changed by piotras

  • status changed from new to closed.
  • resolution set to duplicate.

Duplicates #92

(in reply to: ↑ 1 ) 04/14/09 11:13:09 changed by rambo

  • status changed from closed to reopened.
  • resolution deleted.

Replying to piotras:

What language supports decimal? I think we should have fundamental float and double types. These could be represented differently with providers but the same in scope of objects and classes.

Python at least has decimal math support (http://docs.python.org/library/decimal.html). as for #94: Doubles have the same inherent accuracy problem as floats, just to a smaller degree, in some cases no such inaccuracy is acceptable. Thus reopening request for the Decimal type.

04/29/09 16:00:22 changed by bergie

  • milestone changed from 8.09.5 Ragnaroek to 8.09.6 Ragnaroek.

10/19/09 10:51:40 changed by jval

  • priority changed from minor to major.

The enhancement request here is justified. Even though there might not be current need for this, this is clearly a feature which really should exist in a storage library like Midgard. Therefore, raising priority to the normal level.

10/20/09 13:00:25 changed by piotras

  • milestone changed from 8.09.6 Ragnaroek to 8.09.7 Ragnaroek.